<template>
    <modal name="consent"
           class="arcticmodal-container full-viewport"
           height="auto"
           :adaptive=true
           @before-open="$helpers.noscroll(true)"
           @before-close="$helpers.noscroll(false)">
        <div class="container m-header">
            <div
                    @click="close()"
                    class="box-modal_close arcticmodal-close"></div>
            <div class="row">
                <div class="column">
                    <h3>Согласие на обработку персональных данных и запрос кредитной истории</h3>
                </div>
            </div>
        </div>
        <div class="container content feedback-block">
            <p>Я, <b>{{user.lastName}} {{user.firstName}} {{user.middleName}}</b>
                <span v-if="auth">
            {{user.bDay}} года рождения, место рождения: {{user.bPlace}} {{innOrSnils}}, паспорт: {{passport.serial}} №{{passport.number}}, выдан {{user.passportDateOfIssue}}, код подразделения: {{divisionCode}}, зарегистрирован по адресу: {{address}}
        </span>
                , в соответствии со статьей 9 Федерального закона от 27 июля 2006 года №152-ФЗ «О персональных данных»
                даю согласие Обществу с ограниченной ответственностью микрофинансовая компания «ВЭББАНКИР» (далее –
                Оператор), расположенному по адресу: 125466, г. Москва, ул. Соколово-Мещерская, д. 29, офис 308, на
                автоматизированную, а также без использования средств автоматизации, обработку моих персональных данных,
                а именно: совершение действий, предусмотренных пунктом 3 статьи 3 Федерального закона от 27 июля 2006
                года № 152-ФЗ «О персональных данных» (в том числе: сбор, запись, систематизацию, накопление, хранение,
                уточнение (обновление, изменение), извлечение, использование, передачу (распространение, предоставление,
                доступ), в том числе трансграничную передачу, обезличивание, блокирование, удаление, уничтожение
                персональных данных, а также на передачу такой информации третьим лицам, в том числе в случае уступки
                права требования по заключенному со мною договору микрозайма и обеспечительным договорам (в случае их
                неисполнения/ненадлежащего исполнения) и получение информации и документов от третьих лиц для
                осуществления проверки достоверности и полноты предоставленной мною информации, в частности получение
                моего ИНН от банков-партнеров (в том числе от ТКБ БАНК ПАО) Оператора в целях моей идентификации и в
                случаях, установленных законодательством), в том числе получение информации о моей кредитной истории в
                Бюро кредитных историй в соответствии с Федеральным законом от 30.12.2004 г. № 218-ФЗ «О кредитных
                историях» в целях заключения и исполнения договора микрозайма, проверки моей благонадежности.</p>
            <p>Согласие на получение информации о моей кредитной истории считается действительным в течение двух месяцев
                со дня его оформления. В случае, если в течение указанного срока договор микрозайма был заключен,
                согласие на получение информации о моей кредитной истории сохраняет силу в течение всего срока действия
                договора микрозайма.</p>
            <p>В соответствии с п. 5 ст. 4 Федерального закона № 230 от 03.07.2016 г. «О защите прав и законных
                интересов физических лиц при осуществлении деятельности по возврату просроченной задолженности и о
                внесении изменений в Федеральный закон «О микрофинансовой деятельности и микрофинансовых организациях»
                даю свое согласие Оператору, в случае возникновения просроченной задолженности по договорам микрозайма,
                заключенным между мной и Оператором, на взаимодействие, направленное на возврат просроченной
                задолженности, с любыми третьими лицами, под которыми понимаются члены моей семьи, мои родственники,
                иные проживающие со мной лица, соседи и любые другие физические лица, персональные данные которых
                предоставлены мной или третьими лицами Оператору.</p>
            <p>Я подтверждаю, что мне не поступало несогласие указанных третьих лиц на осуществление с ними
                взаимодействия, направленного на возврат просроченной задолженности по договорам микрозайма, заключенным
                между мной и Оператором.</p>
            <p>К персональным данным относятся: фамилия, имя, отчество, пол, дата и место рождения, паспортные данные,
                адрес места регистрации, адрес фактического места жительства, семейное положение, количество детей и
                иждивенцев, социальное положение, имущественное положение, фотографии, образование, профессия,
                специальность, рабочий адрес, занимаемая должность, размер заработной платы и иные источники доходов,
                сведения о наличии текущих денежных обязательствах, сведения о периодичности и суммах платежей по
                текущим денежным обязательствам, ИНН, сведения ВУС, СНИЛС, сведения о трудовом и общем стаже, адрес
                электронной почты, номера телефонов (домашний, мобильный, рабочий), место работы или учебы членов семьи
                и родственников, состав декларируемых сведений о наличии материальных ценностей, содержание декларации,
                подаваемой в налоговую инспекцию, налоговый статус (резидент/нерезидент), сведения о факте производства
                по делу о моем банкротстве на дату подачи заявления на получение микрозайма и в течение пяти лет до даты
                подачи такого заявления, иные, предоставленные мною сведения.</p>
            <p>Обработка моих персональных данных допускается на следующие цели: принятие решения о предоставлении
                микрозайма, заключение договора микрозайма, предоставление мне суммы микрозайма, сопровождение
                микрозайма, информирование об иных услугах Оператора, взыскание просроченной задолженности в случае ее
                возникновения, передача прав требований по договору микрозайма по договору цессии, привлечение
                Оператором по агентскому договору третьих лиц в целях взыскания просроченной задолженности по договору
                микрозайма, участие в маркетинговых и рекламных акциях Оператора.</p>
            <p>Кроме того, в соответствии со статьей 9 Федерального закона от 27 июля 2006 года № 152-ФЗ «О персональных
                данных» даю согласие на получение моих персональных данных от третьих лиц.</p>
            <p>Также я в соответствии с Политикой в отношении обработки и защиты персональных данных, утвержденной Оператором, даю свое согласие Оператору на обработку файлов «cookie», сведения о действиях, которые я совершаю на сайте/в мобильном приложении Оператора, сведения об используемых для этого устройствах, дата и время сессии, в т.ч. с использованием метрических программ Яндекс.Метрика, Google Analytics, Flocktory. Обработка данных осуществляется в целях улучшения работы сайта/мобильного приложения Оператора, совершенствования продуктов и услуг Оператора, определения предпочтений пользователя, предоставления целевой информации по продуктам и услугам Оператора и партнеров Оператора.</p>
            <p>Настоящее согласие действует со дня его подписания в течение 5 (Пяти) лет со дня прекращения отношений
                между Оператором и мной. Настоящее согласие может быть отозвано посредством направления соответствующего
                уведомления Оператору. При этом я информирован о том, что в случае отзыва согласия на обработку
                персональных данных Оператор, либо лицо, которому были переданы персональные данные по агентскому
                договору или договору цессии вправе продолжить обработку персональных данных без моего согласия при
                наличии оснований, указанных в пунктах 2-11 части 1 статьи 6, части 2 статьи 10 и части 2 статьи 11
                Федерального закона от 27 июля 2006 года № 152-ФЗ «О персональных данных». В частности, обработка
                персональных данных без согласия субъекта допускается в случаях, если такая обработка необходима для
                исполнения договора, стороной которого либо выгодоприобретателем или поручителем по которому является
                субъект персональных данных (если задолженность на момент отзыва такого согласия не погашена).</p>

        </div>
    </div>
    </modal>
</template>

<script>
  // import UserGetter from '@/components/View/Base/Mixins/User/UserGetterMixin'
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'

  export default {
    name: 'consent-to-the-processing-of-personal-data',
    mixins: [
      // UserGetter,
      IndicatorRegistration
    ],
    computed: {
      user() {
        return this.$user;
      },

      auth() {
        return this.$auth.isAuth;
      },

      innOrSnils() {
        if (!this.user.snilsOrInn) return ''
        if (this.user.snilsOrInn.length === 14) {
          return `, ИНН ${this.user.snilsOrInn} `
        } else {
          return `, СНИЛС ${this.user.snilsOrInn}`
        }
      },

      passport() {
        return {
          serial: this.user.passport.slice(0, 4),
          number: this.user.passport.slice(-6)
        }
      },

      divisionCode() {
        return `${this.user.passportDivisionCode.slice(0, 3)}-${this.user.passportDivisionCode.slice(-3)}`
      },

      address() {
        return this.user.addressFiases.value
      }
    },
    methods: {
      close () {
        this.$modal.hide('consent')
      }
    }
  }
</script>

<style lang="scss" scoped>
    @import "static/css/variables/media.scss";
    @media #{$mobile} {
        .feedback-block {
            padding: 150px 10px 10px !important;
        }
    }
</style>
